Skip to main content
GET
/
api
/
customer
/
{customerId}
/
risk-assessment
getRiskAssessment
curl --request GET \
  --url https://api.artemis.cynopsis.co/api/customer/{customerId}/risk-assessment \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Domain-ID: <x-domain-id>'
import requests

url = "https://api.artemis.cynopsis.co/api/customer/{customerId}/risk-assessment"

headers = {
"X-Domain-ID": "<x-domain-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-Domain-ID': '<x-domain-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.artemis.cynopsis.co/api/customer/{customerId}/risk-assessment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": {
    "date": 123,
    "day": 123,
    "hours": 123,
    "minutes": 123,
    "month": 123,
    "nanos": 123,
    "seconds": 123,
    "time": 123,
    "timezoneOffset": 123,
    "year": 123
  },
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "fullName": "<string>",
    "id": 123,
    "lastName": "<string>"
  },
  "customerId": 123,
  "id": 123,
  "risk": {},
  "riskScore": 123,
  "updatedAt": {
    "date": 123,
    "day": 123,
    "hours": 123,
    "minutes": 123,
    "month": 123,
    "nanos": 123,
    "seconds": 123,
    "time": 123,
    "timezoneOffset": 123,
    "year": 123
  },
  "updatedBy": {
    "email": "<string>",
    "firstName": "<string>",
    "fullName": "<string>",
    "id": 123,
    "lastName": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Domain-ID
integer<int64>
required

X-Domain-ID

Path Parameters

customerId
integer<int64>
required

customerId

Response

OK

approvalStatus
enum<string>
Available options:
ACCEPTED,
CLEARED,
PENDING,
REJECTED,
REQUEST_CHANGES
createdAt
TimestampRes · object
createdBy
UserInfo · object
customerId
integer<int64>
id
integer<int64>
overrideRiskRating
enum<string>
Available options:
HIGH,
LOW,
MEDIUM,
MEDIUM_HIGH,
MEDIUM_LOW,
UNKNOWN
risk
object
riskRating
enum<string>
Available options:
HIGH,
LOW,
MEDIUM,
MEDIUM_HIGH,
MEDIUM_LOW,
UNKNOWN
riskScore
number<float>
updatedAt
TimestampRes · object
updatedBy
UserInfo · object